package com.baidu.lbs.waimai.setting

import android.content.Context
import android.os.Bundle
import android.view.View
import android.widget.ImageButton
import android.widget.ImageView
import android.widget.TextView
import com.baidu.lbs.waimai.BaseKActivity
import com.baidu.lbs.waimai.R
import com.baidu.lbs.waimai.waimaihostutils.utils.WMUtils
import com.waimai.router.web.NativePageCallUtil
import org.jetbrains.anko.AnkoContext
import org.jetbrains.anko.ctx
import org.jetbrains.anko.find
import org.jetbrains.anko.layoutInflater

/**
 * Created by lidu on 2018/1/16.
 */
class AboutActivity : BaseKActivity() {

    private lateinit var backButton: ImageButton
    private lateinit var launcherImage: ImageView
    private lateinit var version: TextView
    private var isLogoClicked: Boolean = false
    private var isVersionClicked: Boolean = false

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        backButton = find(R.id.back)
        launcherImage = find(R.id.about_logo)
        version = find(R.id.version)

        version.text = "百度外卖Android版_v" + WMUtils.getVersionName(this)
        initListener()
    }

    private fun initListener() {
        backButton.setOnClickListener {
            finish()
        }

        launcherImage.setOnLongClickListener {
            isLogoClicked = true
            openWebSdkDebug()
            true
        }

        version.setOnLongClickListener {
            isVersionClicked = true
            openWebSdkDebug()
            true
        }

    }

    private fun openWebSdkDebug() {
        if (isLogoClicked && isVersionClicked) {
            NativePageCallUtil.toWebViewByHttp(this,
                    "http://10.19.128.100:8090/wmjsbridge/jsbridge.html")
            isLogoClicked = false
            isVersionClicked = false
        }
    }

    /*
        通过xml文件的方式加载布局
     */
    override fun createView(ui: AnkoContext<Context>): View {
        return ctx.layoutInflater.inflate(R.layout.gw_setting_about, null);
    }


    /*
        通过Anko DSL方式加载布局
     */
//    override fun createView(ui: AnkoContext<Context>): View {
//        return with(ui) {
//            verticalLayout {
//                backgroundColor = resources.getColor(R.color.custom_white)
//
//                whiteTitleLayout(title = "关于") {
//                }.lparams {
//                    height = dip(55)
//                    width = matchParent
//                }
//
//                imageView {
//                    setImageResource(R.drawable.waimai_launcher)
//                    scaleType = ImageView.ScaleType.FIT_XY
//
//                    setOnLongClickListener {
//                        isLogoClicked = true
//                        openWebSdkDebug()
//                        true
//                    }
//
//                }.lparams {
//                    width = dip(75)
//                    height = dip(75)
//                    gravity = Gravity.CENTER
//                    topMargin = dip(150)
//                }
//
//                textView {
//                    textSize = 12f
//                    textColor = resources.getColor(R.color.custom_title)
//                    text = "百度外卖Android版_v" + WMUtils.getVersionName(this@AboutActivity)
//
//                    setOnLongClickListener {
//                        isVersionClicked = true
//                        openWebSdkDebug()
//                        true
//                    }
//
//                }.lparams {
//                    width = wrapContent
//                    height = wrapContent
//                    gravity = Gravity.CENTER
//                    topMargin = dip(10)
//                }
//
//            }
//        }
//    }

    override fun getCurrentReference(): String? {
        return null
    }
}